/**
 * Created by geweimin on 17/7/7.
 */
import React from 'react';

export default class CompPublic extends React.Component {

  constructor(props) {
    super(props);
  }

  _renderListItems = data => {
    if (!data || data.length === 0) {
      return null;
    }
    return data.map((item, index) => {
      return (
        <div className="list-item">
          <div className="item-front">
            <div>title</div>
            // TODO: tags 小标签
          </div>
          <div className="item-behind">

          </div>
        </div>
      );
    })
  };

  render() {
    const { data } = this.props;
    return (
      <div className="list-wrapper">
        <div className="content-wrapper">
          {this._renderListItems(data)}
        </div>
      </div>
    );
  }
}

export const CompPublicSetting = {
  getKeys: keys => [],
};
